[osgeo4w] #115: postinstall could open "you need to XX next" file/url

Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[osgeo4w] #115: postinstall could open "you need to XX next" file/url

OSGeo4W
#115: postinstall could open "you need to XX next" file/url
------------------------+---------------------------------------------------
Reporter:  maphew       |       Owner:  [hidden email]
    Type:  enhancement  |      Status:  new                        
Priority:  major        |   Component:  Installer                  
 Version:               |    Keywords:                            
------------------------+---------------------------------------------------
 To help people with the scenario below the ECW, !MrSid and similar
 packages which can't be shipped complete could open up a file or url
 explaining what people need to next to complete the install.

 ((http://lists.osgeo.org/pipermail/gdal-dev/2009-October/022454.html))
 >> >> One thing I am currently missing in OSGeo4W GDAL is support for ECW
 and
 >> >>  MrSID -- is it available? I've installed the gdal-ecw and gdal-
 mrsid
 >> >>  packages, but it seems I am missing the DLLs. E.g. when I try
 "gdalinfo
 >> >>  --formats" I get complaints:
 >> >>  ERROR 1: Can't load requested DLL:
 >> >>  C:\OSGeo4W\apps\gdal-16\bin\gdalplugins\gdal_ECW_JP2ECW.dll
 >> >>  126: The specified module could not be found.
 >> >>
 >> >>  ERROR 1: Can't load requested DLL:
 >> >>  C:\OSGeo4W\apps\gdal-16\bin\gdalplugins\gdal_MrSID.dll
 >> >>  126: The specified module could not be found.
 >> >>
 >> >>  Have tried this with both gdal-* and gdal16-* packages. And
 remembered to
 >> >>  run gdal16.bat to activate the GDAL 1.6 environment. However, can't
 get
 >> >>  ECW and MrSID support.
 >> >>
 >> >>  I suspect this is due to licensing issues. Do I need to install
 support
 >> >>  for these formats separately?
 > >
 > > Yes, you need to get the SDKs from Erdas and Lizartech.
 > >
 > > See the GDAL supported format list for information:
 > >
 > > http://www.gdal.org/formats_list.html

 Aleksey,

 I would add that the OSGeo4W package pages for these packages have
 additional details:

    http://trac.osgeo.org/osgeo4w/wiki/pkg-gdal-mrsid
    http://trac.osgeo.org/osgeo4w/wiki/pkg-gdal-ecw

--
Ticket URL: <http://trac.osgeo.org/osgeo4w/ticket/115>
OSGeo4W <http://trac.osgeo.org/osgeo4w>
OSGeo4W is the Windows installer for the OSGeo stack.
_______________________________________________
osgeo4w-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/osgeo4w-dev
Reply | Threaded
Open this post in threaded view
|

Re: [osgeo4w] #115: postinstall could open "you need to XX next" file/url

OSGeo4W
#115: postinstall could open "you need to XX next" file/url
------------------------+---------------------------------------------------
Reporter:  maphew       |       Owner:  osgeo4w-dev@…              
    Type:  enhancement  |      Status:  new                        
Priority:  major        |   Component:  Installer                  
 Version:               |    Keywords:                            
------------------------+---------------------------------------------------

Comment(by jef):

 [wiki:pkg-gdal-mrsid] includes the dependency now.
 [wiki:pkg-gdal-ecw] is marked obsolete
 [wiki:pkg-gdal-filegdb] also includes the dependency.

 [wiki:pkg-libjpeg-ipp] is also needs dependencies (is it obsolete?)
 [wiki:pkg-gdal-sde90] [wiki:pkg-gdal-sde91] [wiki:pkg-gdal-sde92] require
 dependencies too and still need to rebuilt for GDAL 1.9.2.

--
Ticket URL: <http://trac.osgeo.org/osgeo4w/ticket/115#comment:1>
OSGeo4W <http://trac.osgeo.org/osgeo4w>
OSGeo4W is the Windows installer and package environment for the OSGeo stack.
_______________________________________________
osgeo4w-dev mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/osgeo4w-dev
Reply | Threaded
Open this post in threaded view
|

Re: [osgeo4w] #115: postinstall could open "you need to XX next" file/url

OSGeo4W
In reply to this post by OSGeo4W
#115: postinstall could open "you need to XX next" file/url
------------------------+----------------------------
Reporter:  maphew       |       Owner:  osgeo4w-dev@…
    Type:  enhancement  |      Status:  closed
Priority:  major        |   Component:  Installer
 Version:               |  Resolution:  wontfix
Keywords:               |
------------------------+----------------------------
Changes (by jef):

 * status:  new => closed
 * resolution:   => wontfix


--
Ticket URL: <https://trac.osgeo.org/osgeo4w/ticket/115#comment:2>
OSGeo4W <http://trac.osgeo.org/osgeo4w>
OSGeo4W is the Windows installer and package environment for the OSGeo stack.

_______________________________________________
osgeo4w-dev mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/osgeo4w-dev